scala.collection.SeqViewLike

# Transformed

#### trait Transformed[+B] extends SeqView[B, Coll] with SeqViewLike.Transformed[B] with SeqViewLike.Transformed[B]

The implementation base trait of this view. This trait and all its subtraits has to be re-implemented for each ViewLike class.

Definition Classes
  SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike
Source
  SeqViewLike.scala

Linear Supertypes
SeqViewLike.Transformed[B], SeqViewLike.Transformed[B], SeqViewLike.Transformed[B], SeqViewLike.Transformed[B], SeqViewLike.Transformed[B], SeqView[B, Coll], GenSeqView[B, Coll], SeqViewLike[B, Coll, SeqView[B, Coll]], GenSeqViewLike[B, Coll, SeqView[B, Coll]], IterableView[B, Coll], GenIterableView[B, Coll], IterableViewLike[B, Coll, SeqView[B, Coll]], GenIterableViewLike[B, Coll, SeqView[B, Coll]], TraversableView[B, Coll], GenTraversableView[B, Coll], TraversableViewLike[B, Coll, SeqView[B, Coll]], GenTraversableViewLike[B, Coll, SeqView[B, Coll]], ViewMkString[B], Seq[B], SeqLike[B, SeqView[B, Coll]], GenSeq[B], GenSeqLike[B, SeqView[B, Coll]], Iterable[B], IterableLike[B, SeqView[B, Coll]], Equals, GenIterable[B], GenIterableLike[B, SeqView[B, Coll]], Traversable[B], GenTraversable[B], GenericTraversableTemplate[B, Seq], TraversableLike[B, SeqView[B, Coll]], GenTraversableLike[B, SeqView[B, Coll]], Parallelizable[B, ParSeq[B]], TraversableOnce[B], GenTraversableOnce[B], FilterMonadic[B, SeqView[B, Coll]], HasNewBuilder[B, SeqView[B, Coll]], PartialFunction[Int, B], (Int) ⇒ B, AnyRef, Any
Known Subclasses
Appended, Appended, DroppedWhile, DroppedWhile, DroppedWhile, EmptyView, EmptyView, Filtered, Filtered, Filtered, FlatMapped, FlatMapped, Forced, Forced, Mapped, Mapped, Patched, Patched, Prepended, Prepended, Reversed, Reversed, Reversed, Sliced, Sliced, Sliced, TakenWhile, TakenWhile, TakenWhile, Transformed, Transformed, Zipped, Zipped, ZippedAll, ZippedAll
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Transformed
2. Transformed
3. Transformed
4. Transformed
5. Transformed
6. Transformed
7. SeqView
8. GenSeqView
9. SeqViewLike
10. GenSeqViewLike
11. IterableView
12. GenIterableView
13. IterableViewLike
14. GenIterableViewLike
15. TraversableView
16. GenTraversableView
17. TraversableViewLike
18. GenTraversableViewLike
19. ViewMkString
20. Seq
21. SeqLike
22. GenSeq
23. GenSeqLike
24. Iterable
25. IterableLike
26. Equals
27. GenIterable
28. GenIterableLike
29. Traversable
30. GenTraversable
31. GenericTraversableTemplate
32. TraversableLike
33. GenTraversableLike
34. Parallelizable
35. TraversableOnce
36. GenTraversableOnce
37. FilterMonadic
38. HasNewBuilder
39. PartialFunction
40. Function1
41. AnyRef
42. Any

Implicitly

1. by traversable2ops
2. by MonadOps
3. by any2stringadd
4. by any2stringfmt
5. by any2ArrowAssoc
6. by any2Ensuring
7. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait Appended[B >: A] extends SeqViewLike.Appended[B] with SeqViewLike.Appended[B] with Transformed[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

2. #### trait DroppedWhile extends SeqViewLike.DroppedWhile with SeqViewLike.DroppedWhile with Transformed[A]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

3. #### trait EmptyView extends Transformed[Nothing] with SeqViewLike.EmptyView with SeqViewLike.EmptyView

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

4. #### trait Filtered extends SeqViewLike.Filtered with SeqViewLike.Filtered with Transformed[A]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

5. #### trait FlatMapped[B] extends SeqViewLike.FlatMapped[B] with SeqViewLike.FlatMapped[B] with Transformed[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

6. #### trait Forced[B] extends SeqViewLike.Forced[B] with SeqViewLike.Forced[B] with Transformed[B]

   A fall back which forces everything into a vector and then applies an operation on it.

7. #### trait Mapped[B] extends SeqViewLike.Mapped[B] with SeqViewLike.Mapped[B] with Transformed[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

8. #### trait Patched[B >: A] extends Transformed[B] with SeqViewLike.Patched[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike

9. #### trait Prepended[B >: A] extends Transformed[B] with SeqViewLike.Prepended[B]

   Definition Classes
     SeqViewLike → GenSeqViewLike

10. #### trait Reversed extends Transformed[A] with SeqViewLike.Reversed

    Definition Classes
      SeqViewLike → GenSeqViewLike

11. #### type Self = SeqView[B, Coll]

    The type implementing this traversable

    The type implementing this traversable

    Attributes
      protected
    Definition Classes
      TraversableLike

12. #### trait Sliced extends SeqViewLike.Sliced with SeqViewLike.Sliced with Transformed[A]

    Definition Classes
      SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

13. #### trait TakenWhile extends SeqViewLike.TakenWhile with SeqViewLike.TakenWhile with Transformed[A]

    Definition Classes
      SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike → TraversableViewLike → GenTraversableViewLike

14. #### trait Transformed[+B] extends SeqView[B, Coll] with SeqViewLike.Transformed[B] with SeqViewLike.Transformed[B]

    The implementation base trait of this view.

15. #### class WithFilter extends FilterMonadic[A, Repr]

    A class supporting filtered operations.

16. #### trait Zipped[B] extends SeqViewLike.Zipped[B] with SeqViewLike.Zipped[B] with Transformed[(A, B)]

    Definition Classes
      SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike

17. #### trait ZippedAll[A1 >: A, B] extends SeqViewLike.ZippedAll[A1, B] with SeqViewLike.ZippedAll[A1, B] with Transformed[(A1, B)]

    Definition Classes
      SeqViewLike → GenSeqViewLike → IterableViewLike → GenIterableViewLike

### Abstract Value Members

1. #### abstract def apply(idx: Int): B

   Selects an element by its index in the sequence.

   Selects an element by its index in the sequence.

   Example:

       scala> val x = LinkedList(1, 2, 3, 4, 5)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4, 5)

       scala> x(3)
       res1: Int = 4

   idx

     The index to select.

   returns

     the element of this sequence at index `idx`, where `0` indicates the first element.

   Definition Classes
     Transformed → Transformed → SeqLike → GenSeqLike → Function1
   Exceptions thrown
     `IndexOutOfBoundsException`

     if `idx` does not satisfy `0 <= idx < length`.

2. #### abstract def iterator: Iterator[B]

   Creates a new iterator over all elements contained in this iterable object.

   Creates a new iterator over all elements contained in this iterable object.

   returns

     the new iterator

   Definition Classes
     Transformed → Transformed → IterableLike → GenIterableLike

3. #### abstract def length: Int

   The length of the sequence.

   The length of the sequence.

   Note: will not terminate for infinite-sized collections.

   Note: `xs.length` and `xs.size` yield the same result.

   returns

     the number of elements in this sequence.

   Definition Classes
     Transformed → Transformed → SeqLike → GenSeqLike

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ++[B](that: GenTraversableOnce[B]): Seq[B]

   [use case] Returns a new sequence containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new sequence containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the sequence is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new sequence which contains all elements of this sequence followed by all elements of `that`.

   Definition Classes
     TraversableViewLike → TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: B, That](xs: GenTraversableOnce[B])(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

6. #### def ++:[B >: B, That](that: Traversable[B])(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: TraversableOnce[B]): Seq[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new sequence which contains all elements of this sequence followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: B, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

8. #### def +:(elem: A): Seq[A]

   [use case] A copy of the sequence with an element prepended.

   [use case]

   A copy of the sequence with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original sequence is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new sequence consisting of `elem` followed by all elements of this sequence.

   Definition Classes
     SeqViewLike → SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: B, That](elem: B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

9. #### def ->[B](y: B): (Transformed[B], B)

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to ArrowAssoc[Transformed[B]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

10. #### def /:[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this sequence, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### def :+(elem: A): Seq[A]

    [use case] A copy of this sequence with an element appended.

    [use case]

    A copy of this sequence with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Note: will not terminate for infinite-sized collections.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new sequence consisting of all elements of this sequence followed by `elem`.

    Definition Classes
      SeqViewLike → SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: B, That](elem: B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

12. #### def :\[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

15. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Definition Classes
      ViewMkString

16. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this sequence to a string builder.

    Appends all elements of this sequence to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this sequence without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

17. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this sequence to a string builder using a separator string.

    Appends all elements of this sequence to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this sequence, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

18. #### def aggregate[B](z: B)(seqop: (B, B) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

19. #### def andThen[C](k: (B) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

20. #### def applyOrElse[A1 <: Int, B1 >: B](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

21. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

22. #### def asParIterable: ParIterable[B]

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

23. #### def asParSeq: ParSeq[B]

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

24. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this sequence should be compared

    returns

      `true`, if this sequence can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

25. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

26. #### def collect[B](pf: PartialFunction[A, B]): Seq[B]

    [use case] Builds a new collection by applying a partial function to all elements of this sequence on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this sequence on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the sequence.

    returns

      a new sequence resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[B, B])(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

27. #### def collectFirst[B](pf: PartialFunction[B, B]): Option[B]

    Finds the first element of the sequence for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the sequence for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

28. #### def combinations(n: Int): Iterator[SeqView[B, Coll]]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this sequence.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

29. #### def companion: GenericCompanion[Seq]

    The factory companion object that builds instances of class `Seq`.

    The factory companion object that builds instances of class `Seq`. (or its `Iterable` superclass where class `Seq` is not a `Seq`.)

    Definition Classes
      Seq → GenSeq → Iterable → GenIterable → Traversable → GenTraversable → GenericTraversableTemplate

30. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ B

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

31. #### def contains(elem: Any): Boolean

    Tests whether this sequence contains a given value as an element.

    Tests whether this sequence contains a given value as an element.

    Note: may not terminate for infinite-sized collections.

    elem

      the element to test.

    returns

      `true` if this sequence has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

32. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this sequence contains a given sequence as a slice.

    Tests whether this sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this sequence contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

33. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this sequence to an array.

    [use case]

    Copies elements of this sequence to an array. Fills the given array `xs` with at most `len` elements of this sequence, starting at position `start`. Copying will stop once either the end of the current sequence is reached, or the end of the array is reached, or `len` elements have been copied.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: B](xs: Array[B], start: Int, len: Int): Unit

34. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this sequence to an array.

    [use case]

    Copies values of this sequence to an array. Fills the given array `xs` with values of this sequence. Copying will stop once either the end of the current sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: B](xs: Array[B]): Unit

35. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this sequence to an array.

    [use case]

    Copies values of this sequence to an array. Fills the given array `xs` with values of this sequence, beginning at index `start`. Copying will stop once either the end of the current sequence is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: B](xs: Array[B], start: Int): Unit

36. #### def copyToBuffer[B >: B](dest: Buffer[B]): Unit

    Copies all elements of this sequence to a buffer.

    Copies all elements of this sequence to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

37. #### def corresponds[B](that: GenSeq[B])(p: (B, B) ⇒ Boolean): Boolean

    Tests whether every element of this sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this sequence relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this sequence and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

38. #### def count(p: (B) ⇒ Boolean): Int

    Counts the number of elements in the sequence which satisfy a predicate.

    Counts the number of elements in the sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

39. #### def diff(that: Seq[A]): Seq[A]

    [use case] Computes the multiset difference between this sequence and another sequence.

    [use case]

    Computes the multiset difference between this sequence and another sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence of elements to remove

    returns

      a new sequence which contains all elements of this sequence except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqViewLike → SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: B](that: GenSeq[B]): SeqView[B, Coll]

40. #### def distinct: SeqView[B, Coll]

    Builds a new sequence from this sequence without any duplicate elements.

    Builds a new sequence from this sequence without any duplicate elements.

    Note: will not terminate for infinite-sized collections.

    returns

      A new sequence which contains the first occurrence of every element of this sequence.

    Definition Classes
      SeqLike → GenSeqLike

41. #### def drop(n: Int): SeqView[B, Coll]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this sequence.

    returns

      a sequence consisting of all elements of this sequence except the first `n` ones, or else the empty sequence, if this sequence has less than `n` elements.

    Definition Classes
      IterableViewLike → TraversableViewLike → IterableLike → TraversableLike → GenTraversableLike

42. #### def dropRight(n: Int): SeqView[B, Coll]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a sequence consisting of all elements of this sequence except the last `n` ones, or else the empty sequence, if this sequence has less than `n` elements.

    Definition Classes
      IterableLike

43. #### def dropWhile(p: (B) ⇒ Boolean): SeqView[B, Coll]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this sequence whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike

44. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this sequence ends with the given sequence.

    Tests whether this sequence ends with the given sequence.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      `true` if this sequence has `that` as a suffix, `false` otherwise.

    Definition Classes
      SeqLike → GenSeqLike

45. #### def ensuring(cond: (Transformed[B]) ⇒ Boolean, msg: ⇒ Any): Transformed[B]

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to Ensuring[Transformed[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

46. #### def ensuring(cond: (Transformed[B]) ⇒ Boolean): Transformed[B]

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to Ensuring[Transformed[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

47. #### def ensuring(cond: Boolean, msg: ⇒ Any): Transformed[B]

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to Ensuring[Transformed[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

48. #### def ensuring(cond: Boolean): Transformed[B]

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to Ensuring[Transformed[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

49. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

50. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

51. #### def exists(p: (B) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this sequence.

    Tests whether a predicate holds for some of the elements of this sequence.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this sequence, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

52. #### def filter(p: (B) ⇒ Boolean): SeqView[B, Coll]

    Selects all elements of this sequence which satisfy a predicate.

    Selects all elements of this sequence which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new sequence consisting of all elements of this sequence that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike

53. #### def filterNot(p: (B) ⇒ Boolean): SeqView[B, Coll]

    Selects all elements of this sequence which do not satisfy a predicate.

    Selects all elements of this sequence which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new sequence consisting of all elements of this sequence that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

54. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

55. #### def find(p: (B) ⇒ Boolean): Option[B]

    Finds the first element of the sequence satisfying a predicate, if any.

    Finds the first element of the sequence satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the sequence that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

56. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): Seq[B]

    [use case] Builds a new collection by applying a function to all elements of this sequence and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this sequence and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of sequence. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new sequence resulting from applying the given collection-valued function `f` to each element of this sequence and concatenating the results.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (B) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

57. #### def flatten[B]: Seq[B]

    [use case] Converts this sequence of traversable collections into a sequence formed by the elements of these traversable collections.

    [use case]

    Converts this sequence of traversable collections into a sequence formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of sequence. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new sequence resulting from concatenating all element sequences.

    Definition Classes
      TraversableViewLike → GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (B) ⇒ GenTraversableOnce[B]): Transformed.Transformed[B]

58. #### def fold[A1 >: B](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this sequence using the specified associative binary operator.

    Folds the elements of this sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

59. #### def foldLeft[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    Applies a binary operator to a start value and all elements of this sequence, going left to right.

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this sequence, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      TraversableOnce → GenTraversableOnce

60. #### def foldRight[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    Applies a binary operator to all elements of this sequence and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this sequence, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this sequence.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce

61. #### def forall(p: (B) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this sequence.

    Tests whether a predicate holds for all elements of this sequence.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this sequence, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

62. #### def force[B >: B, That](implicit bf: CanBuildFrom[Coll, B, That]): That

    Definition Classes
      TraversableViewLike → GenTraversableViewLike

63. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this sequence.

    [use case]

    Applies a function `f` to all elements of this sequence.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      Transformed → Transformed → Transformed → Transformed → IterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (B) ⇒ U): Unit

64. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

65. #### def genericBuilder[B]: Builder[B, Seq[B]]

    The generic builder that builds instances of `Seq` at arbitrary element types.

    The generic builder that builds instances of `Seq` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

66. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

67. #### def groupBy[K](f: (B) ⇒ K): immutable.Map[K, SeqView[B, Coll]]

    Partitions this sequence into a map of sequences according to some discriminator function.

    Partitions this sequence into a map of sequences according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new sequence.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to sequences such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a sequence of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike

68. #### def grouped(size: Int): Iterator[SeqView[B, Coll]]

    Partitions elements in fixed size sequences.

    Partitions elements in fixed size sequences.

    size

      the number of elements per group

    returns

      An iterator producing sequences of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableViewLike → IterableLike
    See also

      scala.collection.Iterator, method `grouped`

69. #### def hasDefiniteSize: Boolean

    Tests whether this sequence is known to have a finite size.

    Tests whether this sequence is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

70. #### def hashCode(): Int

    Hashcodes for `Seq` produce a value from the hashcodes of all the elements of the sequence.

    Hashcodes for `Seq` produce a value from the hashcodes of all the elements of the sequence.

    returns

      the hash code value for this object.

    Definition Classes
      GenSeqLike → Any

71. #### def head: B

    Selects the first element of this sequence.

    Selects the first element of this sequence.

    returns

      the first element of this sequence.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the sequence is empty.

72. #### def headOption: Option[B]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this sequence if it is nonempty, `None` if it is empty.

    Definition Classes
      Transformed → TraversableLike → GenTraversableLike

73. #### def ifParSeq[R](isbody: (ParSeq[B]) ⇒ R): (TraversableOps[B])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

74. #### def indexOf(elem: B, from: Int): Int

    [use case] Finds index of first occurrence of some value in this sequence after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this sequence after or at some start index.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: B](elem: B, from: Int): Int

75. #### def indexOf(elem: B): Int

    [use case] Finds index of first occurrence of some value in this sequence.

    [use case]

    Finds index of first occurrence of some value in this sequence.

    Note: may not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the first element of this sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: B](elem: B): Int

76. #### def indexOfSlice[B >: B](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this sequence contains a given sequence as a slice.

    Finds first index after or at a start index where this sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

77. #### def indexOfSlice[B >: B](that: GenSeq[B]): Int

    Finds first index where this sequence contains a given sequence as a slice.

    Finds first index where this sequence contains a given sequence as a slice.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      the first index such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

78. #### def indexWhere(p: (B) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqLike → GenSeqLike

79. #### def indexWhere(p: (B) ⇒ Boolean): Int

    Finds index of first element satisfying some predicate.

    Finds index of first element satisfying some predicate.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the first element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

80. #### def indices: immutable.Range

    Produces the range of all indices of this sequence.

    Produces the range of all indices of this sequence.

    returns

      a `Range` value from `0` to one less than the length of this sequence.

    Definition Classes
      SeqLike

81. #### def init: SeqView[B, Coll]

    Selects all elements except the last.

    Selects all elements except the last.

    returns

      a sequence consisting of all elements of this sequence except the last one.

    Definition Classes
      TraversableViewLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the sequence is empty.

82. #### def inits: Iterator[SeqView[B, Coll]]

    Iterates over the inits of this sequence.

    Iterates over the inits of this sequence. The first value will be this sequence and the final one will be an empty sequence, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this sequence

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

83. #### def intersect(that: Seq[A]): Seq[A]

    [use case] Computes the multiset intersection between this sequence and another sequence.

    [use case]

    Computes the multiset intersection between this sequence and another sequence.

    Note: may not terminate for infinite-sized collections.

    that

      the sequence of elements to intersect with.

    returns

      a new sequence which contains all elements of this sequence which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

    Definition Classes
      SeqViewLike → SeqLike → GenSeqLike
    Full Signature

    #### def intersect[B >: B](that: GenSeq[B]): SeqView[B, Coll]

84. #### def isDefinedAt(idx: Int): Boolean

    Tests whether this sequence contains given index.

    Tests whether this sequence contains given index.

    The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

    idx

      the index to test

    returns

      `true` if this sequence contains an element at position `idx`, `false` otherwise.

    Definition Classes
      GenSeqLike

85. #### def isEmpty: Boolean

    Tests whether this sequence is empty.

    Tests whether this sequence is empty.

    returns

      `true` if the sequence contain no elements, `false` otherwise.

    Definition Classes
      Transformed → GenericTraversableTemplate → GenTraversableOnce

86. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

87. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

88. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

89. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from Transformed[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

90. #### final def isTraversableAgain: Boolean

    Tests whether this sequence can be repeatedly traversed.

    Tests whether this sequence can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      TraversableLike → GenTraversableLike → GenTraversableOnce

91. #### def last: B

    Selects the last element.

    Selects the last element.

    returns

      The last element of this sequence.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the sequence is empty.

92. #### def lastIndexOf(elem: B, end: Int): Int

    [use case] Finds index of last occurrence of some value in this sequence before or at a given end index.

    [use case]

    Finds index of last occurrence of some value in this sequence before or at a given end index.

    elem

      the element value to search for.

    end

      the end index.

    returns

      the index `<= end` of the last element of this sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: B](elem: B, end: Int): Int

93. #### def lastIndexOf(elem: B): Int

    [use case] Finds index of last occurrence of some value in this sequence.

    [use case]

    Finds index of last occurrence of some value in this sequence.

    Note: will not terminate for infinite-sized collections.

    elem

      the element value to search for.

    returns

      the index of the last element of this sequence that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def lastIndexOf[B >: B](elem: B): Int

94. #### def lastIndexOfSlice[B >: B](that: GenSeq[B], end: Int): Int

    Finds last index before or at a given end index where this sequence contains a given sequence as a slice.

    Finds last index before or at a given end index where this sequence contains a given sequence as a slice.

    that

      the sequence to test

    end

      the end index

    returns

      the last index `<= end` such that the elements of this sequence starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

95. #### def lastIndexOfSlice[B >: B](that: GenSeq[B]): Int

    Finds last index where this sequence contains a given sequence as a slice.

    Finds last index where this sequence contains a given sequence as a slice.

    Note: will not terminate for infinite-sized collections.

    that

      the sequence to test

    returns

      the last index such that the elements of this sequence starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

96. #### def lastIndexWhere(p: (B) ⇒ Boolean, end: Int): Int

    Finds index of last element satisfying some predicate before or at given end index.

    Finds index of last element satisfying some predicate before or at given end index.

    p

      the predicate used to test elements.

    returns

      the index `<= end` of the last element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      SeqLike → GenSeqLike

97. #### def lastIndexWhere(p: (B) ⇒ Boolean): Int

    Finds index of last element satisfying some predicate.

    Finds index of last element satisfying some predicate.

    Note: will not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      the index of the last element of this sequence that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike

98. #### def lastOption: Option[B]

    Optionally selects the last element.

    Optionally selects the last element.

    returns

      the last element of this sequence$ if it is nonempty, `None` if it is empty.

    Definition Classes
      Transformed → TraversableLike → GenTraversableLike

99. #### def lengthCompare(len: Int): Int

    Compares the length of this sequence to a test value.

    Compares the length of this sequence to a test value.

    len

      the test value that gets compared with the length.

    returns

      A value `x` where

          x <  0       if this.length <  len
          x == 0       if this.length == len
          x >  0       if this.length >  len

      The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

    Definition Classes
      SeqLike

100. #### def lift: (Int) ⇒ Option[B]

     Turns this partial function into a plain function returning an `Option` result.

     Turns this partial function into a plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

101. #### def map[B](f: (A) ⇒ B): Seq[B]

     [use case] Builds a new collection by applying a function to all elements of this sequence.

     [use case]

     Builds a new collection by applying a function to all elements of this sequence.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new sequence resulting from applying the given function `f` to each element of this sequence and collecting the results.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (B) ⇒ B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

102. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: B](implicit cmp: Ordering[B]): B

103. #### def maxBy[B](f: (B) ⇒ B)(implicit cmp: Ordering[B]): B

     Definition Classes
       TraversableOnce → GenTraversableOnce

104. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this sequence

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: B](implicit cmp: Ordering[B]): B

105. #### def minBy[B](f: (B) ⇒ B)(implicit cmp: Ordering[B]): B

     Definition Classes
       TraversableOnce → GenTraversableOnce

106. #### def mkString(start: String, sep: String, end: String): String

     Definition Classes
       ViewMkString

107. #### def mkString(sep: String): String

     Definition Classes
       ViewMkString

108. #### def mkString: String

     Definition Classes
       ViewMkString

109. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

110. #### def newAppended[B >: B](that: GenTraversable[B]): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

111. #### def newBuilder: Builder[B, SeqView[B, Coll]]

     The builder that builds instances of type `Seq`[A]

     The builder that builds instances of type `Seq`[A]

     Attributes
       protected[this]
     Definition Classes
       TraversableViewLike → GenericTraversableTemplate → TraversableLike → HasNewBuilder

112. #### def newDropped(n: Int): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

113. #### def newDroppedWhile(p: (B) ⇒ Boolean): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

114. #### def newFiltered(p: (B) ⇒ Boolean): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

115. #### def newFlatMapped[B](f: (B) ⇒ GenTraversableOnce[B]): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

116. #### def newForced[B](xs: ⇒ GenSeq[B]): Transformed[B]

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

117. #### def newMapped[B](f: (B) ⇒ B): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

118. #### def newPatched[B >: B](_from: Int, _patch: GenSeq[B], _replaced: Int): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike

119. #### def newPrepended[B >: B](elem: B): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike

120. #### def newReversed: Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike

121. #### def newSliced(_endpoints: SliceInterval): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

122. #### def newTaken(n: Int): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

123. #### def newTakenWhile(p: (B) ⇒ Boolean): Transformed[B]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike → TraversableViewLike

124. #### def newZipped[B](that: GenIterable[B]): Transformed[(B, B)]

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Boilerplate method, to override in each subclass This method could be eliminated if Scala had virtual classes

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike

125. #### def newZippedAll[A1 >: B, B](that: GenIterable[B], _thisElem: A1, _thatElem: B): Transformed[(A1, B)]

     Attributes
       protected
     Definition Classes
       SeqViewLike → IterableViewLike

126. #### def nonEmpty: Boolean

     Tests whether the sequence is not empty.

     Tests whether the sequence is not empty.

     returns

       `true` if the sequence contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

127. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

128. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

129. #### def orElse[A1 <: Int, B1 >: B](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

130. #### def padTo(len: Int, elem: A): Seq[A]

     [use case] A copy of this sequence with an element value appended until a given target length is reached.

     [use case]

     A copy of this sequence with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new sequence consisting of all elements of this sequence followed by the minimal number of occurrences of `elem` so that the resulting sequence has a length of at least `len`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: B, That](len: Int, elem: B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

131. #### def par: ParSeq[B]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

132. #### def parCombiner: Combiner[B, ParSeq[B]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SeqLike → TraversableLike → Parallelizable

133. #### def partition(p: (B) ⇒ Boolean): (SeqView[B, Coll], SeqView[B, Coll])

     Partitions this sequence in two sequences according to a predicate.

     Partitions this sequence in two sequences according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of sequences: the first sequence consists of all elements that satisfy the predicate `p` and the second sequence consists of all elements that don't. The relative order of the elements in the resulting sequences is the same as in the original sequence.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

134. #### def patch(from: Int, that: GenSeq[A], replaced: Int): Seq[A]

     [use case] Produces a new sequence where a slice of elements in this sequence is replaced by another sequence.

     [use case]

     Produces a new sequence where a slice of elements in this sequence is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original sequence

     returns

       a new sequence consisting of all elements of this sequence except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: B, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

135. #### def permutations: Iterator[SeqView[B, Coll]]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this sequence.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

136. #### def prefixLength(p: (B) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this sequence such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

137. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the sequence and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: B](implicit num: Numeric[B]): B

138. #### def reduce[A1 >: B](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this sequence using the specified associative binary operator.

     Reduces the elements of this sequence using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the sequence is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this sequence is empty.

139. #### def reduceLeft[B >: B](op: (B, B) ⇒ B): B

     Applies a binary operator to all elements of this sequence, going left to right.

     Applies a binary operator to all elements of this sequence, going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this sequence, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this sequence.

     Definition Classes
       TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this sequence is empty.

140. #### def reduceLeftOption[B >: B](op: (B, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this sequence, going left to right.

     Optionally applies a binary operator to all elements of this sequence, going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

141. #### def reduceOption[A1 >: B](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this sequence, if any, using the specified associative binary operator.

     Reduces the elements of this sequence, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

142. #### def reduceRight[B >: B](op: (B, B) ⇒ B): B

     Applies a binary operator to all elements of this sequence, going right to left.

     Applies a binary operator to all elements of this sequence, going right to left.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this sequence, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this sequence.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this sequence is empty.

143. #### def reduceRightOption[B >: B](op: (B, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this sequence, going right to left.

     Optionally applies a binary operator to all elements of this sequence, going right to left.

     Note: will not terminate for infinite-sized collections.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this sequence is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

144. #### def repr: SeqView[B, Coll]

     The collection of type sequence underlying this `TraversableLike` object.

     The collection of type sequence underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

145. #### def reverse: SeqView[B, Coll]

     Returns new sequence wih elements in reversed order.

     Returns new sequence wih elements in reversed order.

     Note: will not terminate for infinite-sized collections.

     returns

       A new sequence with all elements of this sequence in reversed order.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike

146. #### def reverseIterator: Iterator[B]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this sequence in reversed order

     Definition Classes
       SeqLike

147. #### def reverseMap[B](f: (A) ⇒ B): Seq[B]

     [use case] Builds a new collection by applying a function to all elements of this sequence and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this sequence and collecting the results in reversed order.

     Note: will not terminate for infinite-sized collections.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new sequence resulting from applying the given function `f` to each element of this sequence and collecting the results in reversed order.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (B) ⇒ B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

148. #### def reversed: List[B]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

149. #### def runWith[U](action: (B) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

150. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this sequence.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this sequence.

     Note: will not terminate for infinite-sized collections.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: B](that: GenIterable[B]): Boolean

151. #### def scan[B >: B, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[SeqView[B, Coll], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new sequence containing the prefix scan of the elements in this sequence

     Definition Classes
       TraversableLike → GenTraversableLike

152. #### def scanLeft[B, That](z: B)(op: (B, B) ⇒ B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

153. #### def scanRight[B, That](z: B)(op: (B, B) ⇒ B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

154. #### def segmentLength(p: (B) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     Note: may not terminate for infinite-sized collections.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this sequence starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       SeqLike → GenSeqLike

155. #### def seq: Seq[B]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Seq → GenSeq → GenSeqLike → Iterable → GenIterable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

156. #### def size: Int

     The size of this sequence, equivalent to `length`.

     The size of this sequence, equivalent to `length`.

     Note: will not terminate for infinite-sized collections.

     returns

       the number of elements in this sequence.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

157. #### def slice(from: Int, until: Int): SeqView[B, Coll]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a sequence containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this sequence.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

158. #### def sliding(size: Int, step: Int): Iterator[SeqView[B, Coll]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableViewLike → IterableLike
     See also

       scala.collection.Iterator, method `sliding`

159. #### def sliding(size: Int): Iterator[SeqView[B, Coll]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing sequences of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

160. #### def sortBy[B](f: (B) ⇒ B)(implicit ord: math.Ordering[B]): SeqView[B, Coll]

     Sorts this `Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `Seq` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a sequence consisting of the elements of this sequence sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

       Note: will not terminate for infinite-sized collections.

161. #### def sortWith(lt: (B, B) ⇒ Boolean): SeqView[B, Coll]

     Sorts this sequence according to a comparison function.

     Sorts this sequence according to a comparison function.

     Note: will not terminate for infinite-sized collections.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a sequence consisting of the elements of this sequence sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

162. #### def sorted[B >: B](implicit ord: Ordering[B]): SeqView[B, Coll]

     Sorts this sequence according to an Ordering.

     Sorts this sequence according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a sequence consisting of the elements of this sequence sorted according to the ordering `ord`.

     Definition Classes
       SeqViewLike → SeqLike
     See also

       scala.math.Ordering

163. #### def span(p: (B) ⇒ Boolean): (SeqView[B, Coll], SeqView[B, Coll])

     Splits this sequence into a prefix/suffix pair according to a predicate.

     Splits this sequence into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this sequence whose elements all satisfy `p`, and the rest of this sequence.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

164. #### def splitAt(n: Int): (SeqView[B, Coll], SeqView[B, Coll])

     Splits this sequence into two at a given position.

     Splits this sequence into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of sequences consisting of the first `n` elements of this sequence, and the other elements.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

165. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this sequence contains the given sequence at a given index.

     Tests whether this sequence contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this sequence at index `offset`, otherwise `false`.

     Definition Classes
       SeqLike → GenSeqLike

166. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this sequence starts with the given sequence.

     Tests whether this sequence starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

167. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this sequence. By default the string prefix is the simple name of the collection class sequence.

     Definition Classes
       Transformed → Transformed → TraversableViewLike → TraversableLike → GenTraversableLike

168. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this sequence of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the sequence and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: B](implicit num: Numeric[B]): B

169. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

170. #### def tail: SeqView[B, Coll]

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a sequence consisting of all elements of this sequence except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the sequence is empty.

171. #### def tails: Iterator[SeqView[B, Coll]]

     Iterates over the tails of this sequence.

     Iterates over the tails of this sequence. The first value will be this sequence and the final one will be an empty sequence, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this sequence

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

172. #### def take(n: Int): SeqView[B, Coll]

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this sequence.

     returns

       a sequence consisting only of the first `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements.

     Definition Classes
       IterableViewLike → TraversableViewLike → IterableLike → TraversableLike → GenTraversableLike

173. #### def takeRight(n: Int): SeqView[B, Coll]

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a sequence consisting only of the last `n` elements of this sequence, or else the whole sequence, if it has less than `n` elements.

     Definition Classes
       IterableLike

174. #### def takeWhile(p: (B) ⇒ Boolean): SeqView[B, Coll]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this sequence whose elements all satisfy the predicate `p`.

     Definition Classes
       TraversableViewLike → TraversableLike → GenTraversableLike

175. #### def thisCollection: Seq[B]

     The underlying collection seen as an instance of ``Seq``.

     The underlying collection seen as an instance of ``Seq``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       SeqLike → IterableLike → TraversableLike

176. #### def thisSeq: Seq[B]

     Attributes
       protected[this]
     Definition Classes
       ViewMkString

177. #### def to[Col[_]]: Col[A]

     [use case] Converts this sequence into another by copying all elements.

     [use case]

     Converts this sequence into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, B, Col[B]]): Col[B]

178. #### def toArray: Array[A]

     [use case] Converts this sequence to an array.

     [use case]

     Converts this sequence to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this sequence. An `ClassTag` must be available for the element type of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: B](implicit arg0: ClassTag[B]): Array[B]

179. #### def toBuffer[B >: B]: Buffer[B]

     Converts this sequence to a mutable buffer.

     Converts this sequence to a mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

180. #### def toCollection(repr: SeqView[B, Coll]): Seq[B]

     A conversion from collections of type `Repr` to ``Seq`` objects.

     A conversion from collections of type `Repr` to ``Seq`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       SeqLike → IterableLike → TraversableLike

181. #### def toIndexedSeq: immutable.IndexedSeq[B]

     Converts this sequence to an indexed sequence.

     Converts this sequence to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

182. #### def toIterable: Iterable[B]

     Converts this sequence to an iterable collection.

     Converts this sequence to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this sequence.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

183. #### def toIterator: Iterator[B]

     Returns an Iterator over the elements in this sequence.

     Returns an Iterator over the elements in this sequence. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

184. #### def toList: List[B]

     Converts this sequence to a list.

     Converts this sequence to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

185. #### def toMap[T, U]: Map[T, U]

     [use case] Converts this sequence to a map.

     [use case]

     Converts this sequence to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[B, (T, U)]): immutable.Map[T, U]

186. #### def toParArray: ParArray[B]

     Implicit information
       This member is added by an implicit conversion from Transformed[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

187. #### def toSeq: Seq[B]

     Converts this sequence to a sequence.

     Converts this sequence to a sequence.

     Note: will not terminate for infinite-sized collections.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this sequence.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

188. #### def toSet[B >: B]: immutable.Set[B]

     Converts this sequence to a set.

     Converts this sequence to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

189. #### def toStream: immutable.Stream[B]

     Converts this sequence to a stream.

     Converts this sequence to a stream.

     Note: will not terminate for infinite-sized collections.

     returns

       a stream containing all elements of this sequence.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

190. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Transformed → Transformed → Transformed → Transformed → Transformed → Transformed → TraversableViewLike → SeqLike → TraversableLike → Function1 → AnyRef → Any

191. #### def toTraversable: Traversable[B]

     Converts this sequence to an unspecified Traversable.

     Converts this sequence to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this sequence.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

192. #### def toVector: Vector[B]

     Converts this sequence to a Vector.

     Converts this sequence to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this sequence.

     Definition Classes
       TraversableOnce → GenTraversableOnce

193. #### def transpose[B](implicit asTraversable: (B) ⇒ GenTraversableOnce[B]): Seq[Seq[B]]

     Transposes this sequence of traversable collections into a sequence of sequences.

     Transposes this sequence of traversable collections into a sequence of sequences.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this sequence is a `Traversable`.

     returns

       a two-dimensional sequence of sequences which has as nth row the nth column of this sequence.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this sequence are not of the same size.

194. #### lazy val underlying: Coll

     Definition Classes
       Transformed → GenTraversableViewLike

195. #### def union(that: Seq[A]): Seq[A]

     [use case] Produces a new sequence which contains all elements of this sequence and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this sequence and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     Note: will not terminate for infinite-sized collections.

     that

       the sequence to add.

     returns

       a new sequence which contains all elements of this sequence followed by all elements of `that`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: B, That](that: GenSeq[B])(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

196. #### def unzip[A1, A2](implicit asPair: (B) ⇒ (A1, A2)): (Transformed.Transformed[A1], Transformed.Transformed[A2])

     Converts this sequence of pairs into two collections of the first and second half of each pair.

     Converts this sequence of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this sequence is a pair.

     returns

       a pair sequences, containing the first, respectively second half of each element pair of this sequence.

     Definition Classes
       TraversableViewLike → GenericTraversableTemplate

197. #### def unzip3[A1, A2, A3](implicit asTriple: (B) ⇒ (A1, A2, A3)): (Transformed.Transformed[A1], Transformed.Transformed[A2], Transformed.Transformed[A3])

     Converts this sequence of triples into three collections of the first, second, and third element of each triple.

     Converts this sequence of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this sequence is a triple.

     returns

       a triple sequences, containing the first, second, respectively third member of each element triple of this sequence.

     Definition Classes
       TraversableViewLike → GenericTraversableTemplate

198. #### def updated(index: Int, elem: A): Seq[A]

     [use case] A copy of this sequence with one single replaced element.

     [use case]

     A copy of this sequence with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this sequence with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqViewLike → SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: B, That](index: Int, elem: B)(implicit bf: CanBuildFrom[SeqView[B, Coll], B, That]): That

199. #### def view(from: Int, until: Int): SeqView[B, SeqView[B, Coll]]

     Creates a non-strict view of a slice of this sequence.

     Creates a non-strict view of a slice of this sequence.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current sequence, whereas `slice` produces a new sequence.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this sequence, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

200. #### def view: SeqView[B, SeqView[B, Coll]]

     Creates a non-strict view of this sequence.

     Creates a non-strict view of this sequence.

     returns

       a non-strict view of this sequence.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

201. #### final def viewIdString: String

     Attributes
       protected[this]
     Definition Classes
       Transformed → GenTraversableViewLike

202. #### def viewIdentifier: String

     Attributes
       protected[this]
     Definition Classes
       TraversableViewLike → GenTraversableViewLike

203. #### def viewToString: String

     Definition Classes
       GenTraversableViewLike

204. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

205. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

206. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

207. #### def withFilter(p: (B) ⇒ Boolean): SeqView[B, Coll]

     Creates a non-strict filter of this sequence.

     Creates a non-strict filter of this sequence.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this sequence which satisfy the predicate `p`.

     Definition Classes
       TraversableViewLike → TraversableLike → FilterMonadic

208. #### def zip[B](that: GenIterable[B]): Seq[(A, B)]

     [use case] Returns a sequence formed from this sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a sequence formed from this sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new sequence containing pairs consisting of corresponding elements of this sequence and `that`. The length of the returned collection is the minimum of the lengths of this sequence and `that`.

     Definition Classes
       IterableViewLike → IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: B, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[SeqView[B, Coll], (A1, B), That]): That

209. #### def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): Seq[(A, B)]

     [use case] Returns a sequence formed from this sequence and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a sequence formed from this sequence and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this sequence is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this sequence.

     returns

       a new sequence containing pairs consisting of corresponding elements of this sequence and `that`. The length of the returned collection is the maximum of the lengths of this sequence and `that`. If this sequence is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this sequence, `thatElem` values are used to pad the result.

     Definition Classes
       IterableViewLike → IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: B, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[SeqView[B, Coll], (A1, B), That]): That

210. #### def zipWithIndex: Seq[(A, Int)]

     [use case] Zips this sequence with its indices.

     [use case]

     Zips this sequence with its indices.

     returns

       A new sequence containing pairs consisting of all elements of this sequence paired with their index. Indices start at `0`.

     Definition Classes
       IterableViewLike → IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: B, That](implicit bf: CanBuildFrom[SeqView[B, Coll], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

211. #### def →[B](y: B): (Transformed[B], B)

     Implicit information
       This member is added by an implicit conversion from Transformed[B] to ArrowAssoc[Transformed[B]] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def filter(p: (B) ⇒ Boolean): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to MonadOps[B] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (transformed: MonadOps[B]).filter(p)

   Definition Classes
     MonadOps

2. #### def flatMap[B](f: (B) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to MonadOps[B] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (transformed: MonadOps[B]).flatMap(f)

   Definition Classes
     MonadOps

3. #### def map[B](f: (B) ⇒ B): TraversableOnce[B]

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to MonadOps[B] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (transformed: MonadOps[B]).map(f)

   Definition Classes
     MonadOps

4. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformed: StringAdd).self

   Definition Classes
     StringAdd

5. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformed: StringFormat).self

   Definition Classes
     StringFormat

6. #### def withFilter(p: (B) ⇒ Boolean): Iterator[B]

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to MonadOps[B] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (transformed: MonadOps[B]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: B](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: Transformed[B]

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to ArrowAssoc[Transformed[B]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformed: ArrowAssoc[Transformed[B]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: Transformed[B]

   Implicit information
     This member is added by an implicit conversion from Transformed[B] to Ensuring[Transformed[B]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (transformed: Ensuring[Transformed[B]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from SeqViewLike.Transformed[B]

### Inherited from SeqView[B, Coll]

### Inherited from GenSeqView[B, Coll]

### Inherited from SeqViewLike[B, Coll, SeqView[B, Coll]]

### Inherited from GenSeqViewLike[B, Coll, SeqView[B, Coll]]

### Inherited from IterableView[B, Coll]

### Inherited from GenIterableView[B, Coll]

### Inherited from IterableViewLike[B, Coll, SeqView[B, Coll]]

### Inherited from GenIterableViewLike[B, Coll, SeqView[B, Coll]]

### Inherited from TraversableView[B, Coll]

### Inherited from GenTraversableView[B, Coll]

### Inherited from TraversableViewLike[B, Coll, SeqView[B, Coll]]

### Inherited from GenTraversableViewLike[B, Coll, SeqView[B, Coll]]

### Inherited from ViewMkString[B]

### Inherited from Seq[B]

### Inherited from SeqLike[B, SeqView[B, Coll]]

### Inherited from GenSeq[B]

### Inherited from GenSeqLike[B, SeqView[B, Coll]]

### Inherited from Iterable[B]

### Inherited from IterableLike[B, SeqView[B, Coll]]

### Inherited from Equals

### Inherited from GenIterable[B]

### Inherited from GenIterableLike[B, SeqView[B, Coll]]

### Inherited from Traversable[B]

### Inherited from GenTraversable[B]

### Inherited from GenericTraversableTemplate[B, Seq]

### Inherited from TraversableLike[B, SeqView[B, Coll]]

### Inherited from GenTraversableLike[B, SeqView[B, Coll]]

### Inherited from Parallelizable[B, ParSeq[B]]

### Inherited from TraversableOnce[B]

### Inherited from GenTraversableOnce[B]

### Inherited from FilterMonadic[B, SeqView[B, Coll]]

### Inherited from HasNewBuilder[B, SeqView[B, Coll]]

### Inherited from PartialFunction[Int, B]

### Inherited from (Int) ⇒ B

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from Transformed[B] to TraversableOps[B]

### Inherited by implicit conversion MonadOps from Transformed[B] to MonadOps[B]

### Inherited by implicit conversion any2stringadd from Transformed[B] to StringAdd

### Inherited by implicit conversion any2stringfmt from Transformed[B] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Transformed[B] to ArrowAssoc[Transformed[B]]

### Inherited by implicit conversion any2Ensuring from Transformed[B] to Ensuring[Transformed[B]]

### Inherited by implicit conversion alternateImplicit from Transformed[B] to ForceImplicitAmbiguity

### Ungrouped